[project]
name = 'norospy'
version = '0.2.0'
authors = [
    { name = 'Ferdinand Mütsch', email = 'muetsch@kit.edu' },
]
description = 'ROS without ROS'
readme = 'README.md'
license = {file = 'LICENSE'}
requires-python = '>=3.8'
classifiers = [
    'Programming Language :: Python :: 3',
    'License :: OSI Approved :: MIT License',
    'Operating System :: OS Independent',
]
dependencies = [
    'websockets',
    'mcap-ros1-support',
    'opencv-python',
]

[project.urls]
Homepage = 'https://gitlab.kit.edu/kit/aifb/ATKS/research/norospy'
Issues = 'https://gitlab.kit.edu/kit/aifb/ATKS/research/norospy/issues'

[build-system]
requires = ['setuptools']